Bug 230289 - lang/ruby24 lang/ruby25: Remove dbm library and replace it with databases/rubygem-dbm
Summary: lang/ruby24 lang/ruby25: Remove dbm library and replace it with databases/rub...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Koichiro Iwao
URL: https://reviews.freebsd.org/D20000
Keywords: needs-qa, patch
Depends on: 230191
Blocks: 230297 234509 235826
  Show dependency treegraph
 
Reported: 2018-08-02 07:08 UTC by Yasuhiro KIMURA
Modified: 2019-04-30 11:24 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (ruby)


Attachments
patch file (25.93 KB, patch)
2018-08-02 07:08 UTC, Yasuhiro KIMURA
no flags Details | Diff
updated patch file (25.81 KB, patch)
2018-08-16 18:01 UTC, Yasuhiro KIMURA
no flags Details | Diff
updated patch file (25.85 KB, patch)
2018-09-23 12:00 UTC, Yasuhiro KIMURA
no flags Details | Diff
updated patch file (21.45 KB, patch)
2018-10-20 19:04 UTC, Yasuhiro KIMURA
no flags Details | Diff
Updated patch file (21.36 KB, patch)
2019-02-17 21:21 UTC, Yasuhiro KIMURA
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro KIMURA 2018-08-02 07:08:34 UTC
Created attachment 195757 [details]
patch file

* Remove dbm library from main ruby ports and replace it with newly created databases/rubygem-dbm port. There are 2 intentions about it.
  - Provide a way to select back end of dbm library without adding extra dependencies to main ruby ports.
  - Deprecate troublesome databases/ruby-bdb port by setting default back end of databases/rubygem-dbm to Berkeley DB.
* Fix some portlint warnings.
* Bump PORTREVISION.

Because databases/rubygem-dbm port depends on bug #230191, please commit this bug report after bug #230191 is committed.
Comment 1 Yasuhiro KIMURA 2018-08-16 18:01:20 UTC
Created attachment 196255 [details]
updated patch file

Update patch to make it fit to latest ports tree.
So please commit attached patch instead of original one.
Comment 2 Yasuhiro KIMURA 2018-09-23 12:00:55 UTC
Created attachment 197396 [details]
updated patch file

Update patch to make it fit to latest ports tree.
So please commit attached patch instead of previous ones.
Comment 3 Yasuhiro KIMURA 2018-10-20 19:04:46 UTC
Created attachment 198412 [details]
updated patch file

Update patch to make it fit to latest ports tree.
So please commit attached patch instead of previous ones.
Comment 4 Yasuhiro KIMURA 2019-02-17 21:21:26 UTC
Created attachment 202104 [details]
Updated patch file

* Make patch fit to latest ports tree.
* Use options helper.
Comment 5 Koichiro Iwao freebsd_committer 2019-04-02 10:27:04 UTC
Could you update the patch based on current ports head?
Comment 6 Koichiro Iwao freebsd_committer 2019-04-22 01:06:02 UTC
I'm rewriting the patch.
Comment 7 Koichiro Iwao freebsd_committer 2019-04-22 03:47:16 UTC
Uploaded a patch to phabricator.
Comment 8 commit-hook freebsd_committer 2019-04-30 11:23:28 UTC
A commit references this bug:

Author: meta
Date: Tue Apr 30 11:23:01 UTC 2019
New revision: 500480
URL: https://svnweb.freebsd.org/changeset/ports/500480

Log:
  lang/ruby2[45]: Remove dbm library and replace it with databases/rubygem-dbm

  PR:		230289
  Submitted by:	Yasuhiro KIMURA <yasu@utahime.org> (initial revision)
  		meta (myself)
  Reviewed by:	sunpoet, ruby
  Approved by:	sunpoet
  Differential Revision:	https://reviews.freebsd.org/D20000

Changes:
  head/Mk/bsd.ruby.mk
  head/databases/Makefile
  head/databases/rubygem-dbm/
  head/databases/rubygem-dbm/Makefile
  head/databases/rubygem-dbm/distinfo
  head/databases/rubygem-dbm/files/
  head/databases/rubygem-dbm/files/patch-ext_dbm_extconf.rb
  head/databases/rubygem-dbm/pkg-descr
  head/lang/ruby24/Makefile
  head/lang/ruby24/pkg-message
  head/lang/ruby24/pkg-plist
  head/lang/ruby25/Makefile
  head/lang/ruby25/pkg-message
  head/lang/ruby25/pkg-plist
Comment 9 Koichiro Iwao freebsd_committer 2019-04-30 11:24:37 UTC
Committed based on your patch, thanks!